<template>

      <view class="cu-dialog">
        <view class="wui-form-list">
          <view class="cu-form-group">
            <view class="title">处罚原因</view>
            <input v-model="punishForm.REASON" placeholder="请输入处罚原因"></input>
          </view>
          <view class="cu-form-group">
            <view class="title">处罚金额</view>
            <input v-model="punishForm.AMOUT" placeholder="请输入处罚金额"></input>
          </view>
          <view class="cu-form-group">
            <view class="title">被处罚单位</view>
            <input v-model="punishForm.RECTIFICATIONDEPT_NAME" placeholder="请输入被处罚单位"></input>
          </view>
          <view class="cu-form-group">
            <view class="title">被处罚人</view>
            <input v-model="punishForm.RECTIFICATIONOR_NAME" placeholder="请输入被处罚人"></input>
          </view>
          <view class="cu-form-group">
            <view class="title">下发处罚时间</view>
            <ruiDatePicker fields="minute" :value="punishForm.DATE || '请选择'"
                           @change="changeStartDate"></ruiDatePicker>
          </view>
        </view>
<!--        <view class="cu-bar bg-white justify-between">
          <view class="action" style="flex-basis: 100%">
            <button class="cu-btn" style="flex-basis: 50%" @click="modalShow = false">关闭</button>
            <button class="cu-btn line-green text-green" style="flex-basis: 50%" @click="fnSubmit">确认</button>
          </view>
        </view> -->
      </view>
</template>

<script>
import {
  basePath,corpinfoId,loginSession,formatDate,loginUser,loginUserId
} from '@/common/tool.js';
import tkiTree from "@/components/select-tree/select-tree.vue"
import ruiDatePicker from '@/components/rattenking-dtpicker/rattenking-dtpicker.vue'
export default {
	props:{
		ordPunishForm:{
			Default:"",
			Type:Object
		}
	},
	name: "punish-vue",
	components: {
    tkiTree,
    ruiDatePicker,
  },
  data() {
    return {
      showRight: false,
      dataFlag:'noData',
      sTop:0,
      totalHeight:0,
      list:[],//返回数据
      page:1,//分页参数--页数
      rows:10,//分页参数--每页数据条数
      totalCount:0,//分页参数--初始化页数
      isEnd:false,//防止多次刷新
      totalPage: 0, //分页参数--分页数量
      NameLikes : '',
      OUTSOURCED_ID : '',
      noClick:true,
      sourceState: {
        1: "AI报警",
        2: "AI报警(企业端)",
        4: "安全检查(监管端)",
        5: "安全检查(企业端)",
      },
      state: {
        1: "未整改",
        2: "已整改",
        4: "已验收",
      },
      TabCur: 0,
      scrollLeft: 0,
      tabNav: ['待验收隐患', '已验收隐患'],
      modalShow:false,
      punishForm:{
        HIDDEN_ID:'',
        RECTIFICATIONDEPT_NAME:'',
        RECTIFICATIONOR_NAME:'',
        REASON:'',
        AMOUT:'',
        DATE:formatDate(new Date(), 'yyyy-MM-dd hh:mm'),
      },
      punishRules: {
        'REASON': '请填写处罚原因',
        'AMOUT': '请填写处罚金额',
        'DATE': '请选择下发处罚时间',
      },
      loginUserId:loginUserId
    }
  },
  onReady() {
    let that=this;
    let CustomBar = this.CustomBar;
    uni.getSystemInfo({ //调用uni-app接口获取屏幕高度
      success(res) { //成功回调函数
        let titleH=uni.createSelectorQuery().select(".top-fixed"); //想要获取高度的元素名（class/id）
        titleH.boundingClientRect(data=>{
          that._data.sTop=data.height  //计算高度：元素高度=窗口高度-元素距离顶部的距离（data.top）
          that.totalHeight = data.height+CustomBar
        }).exec()
      }
    })
  },
  onLoad(e) {//页面第一次加载时触发，从跳转页面返回时不能触发，可以传递参
    this.OUTSOURCED_ID = e.OUTSOURCED_ID
  },
  onShow() {
    //页面显示或从后台跳回小程序时显示此页面时触发，从跳转页面返回时触发，不能传递参数
    var _this = this;
    _this.background = require('@/common/background.json');
    _this.showCount = 10;
    _this.currentPage = 1;
    _this.list = [];
    _this.isEnd = false;
    _this.getData();
    loginSession();
  },
  created(){
	  if (this.ordPunishForm) {
		  this.punishForm = this.ordPunishForm
	  }
	  console.log(this.ordPunishForm)
  },
  methods: {
    //跳转事件
    goToDetail(e) {
      uni.navigateTo({
        url: '/pages/application/key-project-management/hidden-management/detail?HIDDEN_ID='+e + '&OUTSOURCED_ID=' + this.OUTSOURCED_ID + '&TabCur=' + (this.TabCur+1)
      });
    },
    getData(){
      var _this = this;
      if (_this.isEnd) {
        return
      }else{
        this.isEnd =true;
      }
      uni.showLoading({
        title:"加载中..."
      });//加载中动画
      uni.request({
        url: basePath +'/app/keyprojectcheck/listHidden?showCount='+_this.showCount+'&currentPage='+_this.currentPage,
        method: 'POST',
        dataType: 'json',
        header: {
          'Content-type':'application/x-www-form-urlencoded'
        },
        data: {
          KEYWORDS : _this.NameLikes, //关键字模糊查询
          CORPINFO_ID:corpinfoId,
          OUTSOURCED_ID:this.OUTSOURCED_ID,
          CREATOR:loginUserId,
          ISCHECK:Number(this.TabCur) + 1
        },
        success: (res) => {
          uni.hideLoading();//结束加载中动画
          if (res.data != null) {
            _this.totalPage = res.data.page.totalPage;
            if(_this.list.length == 0){
              _this.list = res.data.varList;
            }else{
              if(res.data.varList != null){
                _this.list2 = res.data.varList;
                _this.list = _this.list.concat(_this.list2);
              }
            }
          }
        }
      })
    },
    changeStartDate(e) {
      this.punishForm.DATE = e
      this.$forceUpdate();//强制刷新
    }
  }
}
</script>

<style>
.dy-card {
  background-color: #fff;
  border-radius: 10upx;
  margin: 30upx
}

.dy-card-title {
  display: flex;
  justify-content: space-between;
  border-bottom: 1px solid #eee;
  min-height: 80upx;
  line-height: 80upx;
  padding: 0 30upx;
}

.dy-card-content {
  padding: 0upx 30upx 30upx;

}

.dy-card-content-item {
  margin-top: 20upx;
}

.dy-card-content-item .title {
  display: flex;
  align-items: center;
}

.dy-card-content-item .title .l {
  width: 10upx;
  height: 30upx;
  border-radius: 20upx;
  background-color: #666;
  margin-right: 10upx;
}

.dy-card-content-item .content {
  background-color: #F1F1F1;
  padding: 10upx 14upx;
  margin-top: 14upx;
  line-height: 1.6;
}

.dy-card-content-item .name text {
  background-color: #F1F1F1;
  padding: 10upx 14upx;
  margin-top: 14upx;
  line-height: 1.6;
  display: inline-block;
}

.dy-card-foot {
  border-top: 1px solid #eee;
  padding: 30upx;
}
.cu-modal{
  z-index: 0;
}
</style>
